# 20191016 

We expect two datasets. One containing primary melanoma samples, the other one containing healthy skin tissues. 
More details can be found here: https://docs.google.com/spreadsheets/d/1ILhhd3CbrFKhh-aig7LPmMcvGGQaYHSR0OWd_mRot0k/edit#gid=924102187


## 16.10.2019 Data Arrival & SetUp
Base Folder: /cluster/project/nexus/phrt/levesque_melanoma_2019/data/20191016/

Data arrived on the 16.10 of October. 
Downloaded data into ./openbis.


The following sets are available 
**887_***_1_Skin_GEX_A12_***_L001        **887_***_2_Skin_GEX_A12_***_L002
**890_***_1_Skin_ADT_A2_***_L001         **890_***_2_Skin_ADT_A2_***_L002

**888_***_1_Primary_Melanoma_GEX_A1_***_L001        **888_***_2_Primary_Melanoma_GEX_A1_***_L002
**891_***_1_Primary_Melanoma_ADT_A3_***_L001        **891_***_2_Primary_Melanoma_ADT_A3_***_L002


First step is to rename the samples in a way, that all samples contain _1_ and not _2_. Renamed it using softlinks into the folders openbis/temp_primaryMelanoma_{ADT/GEX},openbis/temp_Skin_{ADT/GEX}


## 17.10.2019 

Moved the corresponding fastqs to ./primaryMelanoma/fastqs_{ADT/GEX}, ./healthySkin/fastqs_{ADT/GEX}

In order to perform index hopping removal we first have to do a CellRanger Count run on each of the samples (2xADT, 2xGEX).

Analysis on pooledSamples will be put into ./primaryMelanoma/analysis_pooledSample ./healthySkin/analysis_pooledSample

Targeted cells are 12000 for the primaryMelanoma and 9000 for the healthySkin.

For the ADT run a featureReference file has been put into the metadata. The greek letters in the Protein Names have been changed to a corresponding german one. (e.g. TCR Vδ2 zu TCR-Vd2)

Runs are started with the following scripts:
- run_cellRanger.{ADT/GEX}.healthySkin.sh
- run_cellRanger.{ADT/GEX}.primaryMelanoma.sh


## 18.10.2019

### CellRanger Results
GEX CellRanger primaryMelanoma
47,077 Mean Reads per Cell, 564 Median Genes per Cell
GEX CellRanger healthySkin
46,280 Mean Reads per Cell, 602 Median Genes per Cell

Quality of the samples looks good at first glance. Proceed with index hopping removal.


### Index Hopping removal

Using Script clean_and_filter_swapped.R. (Needs to be run using module load new r/3.6.0)

The primary Melanoma shows a cell count of ~18550 cells. This seems to be strange since CellRanger was run with force-cells 12000.



## 22.10.2019

I continued with the hashing Analysis. 
- hashing_analysis.primaryMelanoma.snake 
- hashing_analysis.healthySkin.snake 

Since the indexHopping removal mimics the cellranger output the indexHopping output is linked into the folder CellRangerADT_cleaned. 

Unfortunately Seurat (HTODemux) crashes for the primary Melanoma. In order to get a cleaner input data, the indexHopping Output was intersected with the CellRangerADT filtered output. (find_overlap.R)

The file was linked into the CellRangerADT_cleaned folder and the pipeline was restarted.



## 23.10.2019
Lou provided a new version of the index hopping removal script. I rerun the index hopping with the scripts above. This yielded in more cells in the GEX analysis. 
Figured out that, unmappeds are carried over from CiteSeq Output. Removed them and rerun the samples using the snakmake pipelines from above. 
Also changed the Hashing Script to output negative cells instead of the unmappeds. 
In the pooled skin sample, only two tags were used for three samples. Therefore, we would expect that the third sample can be extracted out of the negatives.





## 24.10.2019
Started the setup for the GEX Pipelines for the healthy Sample. 
The index removal output is linked into the mimiced cellranger_run folder structure. 
The filter_genes_and_cells.py script needs the corresponding barcode lists as input. The script will remove all barcodes that are not on this list and mark them as doublets in the plot. (ToDo: Change Plot, not all of them are doublets, in a hashed sample most of them are barcodes that have been assigned to a different sample.)
The barcode lists can be found in the folder analysis_pooled_Sample/hashingAnalysis. 
HS001 --> healthySkin.barcodes_negatives.txt
HS002 --> healthySkin.tag1.barcodes_singlets.txt
HS003 --> healthySkin.tag2.barcodes_singlets.txt

In a first attempt the pipelines crashed. We figured out that an additional script needs to be run on the indexhopping output: map_geneSymbols_indexHopping.R
Since otherwise the feature file contains Ensembl Ids instead of Gene Symbols. 
I replaced the files in the CellRangerGEX_aftercleanup with the output file of the before mentioned script. 

Unfortunately the output of the indexHoppingADT is not matching the expected dimensions (300000 rows instead of 107 (one for each antibody))
We decided to ignore indexhopping for the moment and continue with the raw CellRanger Adt output for the remaining analysis. 




## 28.10.2019

Setting up pipelines for primaryMelanoma Sample.
> Used script map_geneSymbols_indexHopping.R to add GeneSymbols to indexHopping output. Output of the script can be found in CellRangerGEX_aftercleanup.
> Changed the filter_genes_and_cells.py input in the gex config file to the following files:
M170929 --> primaryMelanoma.tag1.barcodes_singlets.txt
M180223 --> primaryMelanoma.tag2.barcodes_singlets.txt
M181024 --> primaryMelanoma.tag4.barcodes_singlets.txt
> Linked the content of analysis_pooled/CellRangerGEX_aftercleanup to the corresponding sample_folder/cellranger_run folder.
Started all runs using auto_run.sh scripts. 


## Celltyping
Franzi started with the healthy Celltyping.


## ADT Analysis
Analysed ADT using the analyseADT.R Skript. 

## Meeting 07.11.

Ulli and Aizhan work on improving the experimental side - they are in contact with Carsten from Biolegend. (aka. increase number of antibodies etc.)
ABs have been optimized for PBMC. Next experiment will be on PBMC?

** ToDo **
They would like to see the expression plots for the hashtags (B2M) since primary melanoma is expected to downregulate B2M.
--> Done. Files used to run are called **.incluedingHashtags.**
** ToDo **
We have an unexpected high number of negatives. --> Run GEX on negatives.

** ToDo **
Improve healthy celltyping by Including melanocytes, keratinocytes and fibroblasts into healthy sample.
