# Feature Barcoding Experiment on PBMCs
EMAIL Aizhan 1.12:
***
In short: we took 1 sample of healthy PBMCs and applied 3 conditions.
Untreated PBMCs (just kept at 37 degree on the rotator) - hashing AB1
Treated with skin digestion protocol (Dispase and Collagenase IV) hashing AB2
Modified Tumor profiler protocol with Ca added - Hashing AB4

The purpose of enzymatic treatment is to see if we are loosing some surface markers because of the enzymatic digestion (eg CD4, CD8 etc).
***

# Downloading Data:
Base Folder: /cluster/project/nexus/phrt/levesque_melanoma_2019/data/20191130/

Data arrived on the 30 of November.
Downloaded data into ./openbis.


# Set-Up & Initial CellRangerRun on pooled Sample
1. Step: Softlinked the samples to ./{PBMC_mix/PBMC_untreated}/fastqs_{GEX/ADT} in a way that all second lanes contain a _1_ instead of _2_.
Otherwise CellRanger will not recognize the file.


2. Step: Start CellRangerRuns on pooled Samples with run_cellRanger.{GEX/ADT}.{PBMC_mix/PBMC_untreated}.sh

Results look promising so far. 

All CellRanger Results look decent.

# Set-Up Index Hopping 6.1.2020

In order to run the script on ADT/GEX it is required to rename the molecule_info.h5 to {sampleName}.molecule_info.h5. I did this by creating a softlink and providing the softlink to the scripts. 
'
bash /cluster/project/nexus/linda/git_eth/levesque_melanoma_2019/scripts/run_clean_and_filter_swapped.{GEX/ADT}.20191130.sh
'

Map EnsemblIDs again by using the script: map_geneSymbols_indexHopping.R

e.g. using the following:
'Rscript /cluster/project/nexus/linda/git_eth/levesque_melanoma_2019/scripts/map_geneSymbols_indexHopping.R /cluster/project/nexus/phrt/levesque_melanoma_2019/data/20191130/indexHoppingGEX/PBMCmix/features.tsv.gz /cluster/project/nexus/phrt/levesque_melanoma_2019/data/20191130/PBMC_mix/analysis_pooledSample/CellRangerGEX/PBMCmix_pooled/outs/filtered_feature_bc_matrix/features.tsv.gz /cluster/project/nexus/phrt/levesque_melanoma_2019/data/20191130/PBMC_mix/analysis_pooledSample/CellRangerGEX_afterindexhopping/features.tsv'

Unfortunately the script does not write zipped files. --> zip it manually.

Since the ADT-Scripts for IndexHopping are not fully functional - proceed without ADTIndexHopping results. 

# Hashing Analysis
Hashing Analysis does not work on Samples that contain only one Hash - Apparantly Seurat does crash then.
Proceed with the PBMCuntreated Sample without doing the Hashing Analysis.

For the PBMCmix sample the analysis looks good. We get a fairly low number of negatives for the first time. (8%)
There is a slightly higher number of cells recovered with tag4, that can not be explained by the input number of cells. Could it be due to the different protocol?

# Cell Typing

Started with an initial set of celltypes provided by Franzi. 
Rule of thumb is to remove celltypes that get 0 or just a low number (>10). Reduced the set accordingly. 

It seems that H2 and H4 are favouring myeloid cells. (H1 is the untreated.)


# Ridgeplots 

Set up a script called plotCombinedRidgeplots.R that combines ridgeplots across the different subsamples. This makes it much easier to  analyse differences between sample. 

** Potential ToDo: Extend Script to plot ridgeplots across samplesets.**
** Also plot ridgeplots - celltypes see slack with anne & franzi.**

# Meeting 30.1.2020

Apparantly a threshold of 0 is better than a fixed threshold. Nevertheless it seems that we see a lot of unspecific binding then. 
The next step would be, that we fit a model & Ulli and Aizhan asess the ridgeplots manually & then we compare. 

** To do: Adjust ordering of ridgeplots vs expression plots & Put not expressed plots in the same subfolder.**

# Meeting Anne

Apparantly if there are multiple Genes for one AB and multiple genes are not expressed, the ab shows up multiple times in the not expressed pannel.
** To do: Fix that.**
