##Script to repeat UMAP plots on the TCell subset of data

seurat_integrated=readRDS("Tcell_new_seurat_integrated_wADT.RDS")

tmp=seurat_integrated$sample_name

tmp[grep("PBMC",tmp)]="PBMC"
tmp[grep("HS",tmp)]="HS"
tmp[grep("^M",tmp)]="PM"
tmp[grep("LN",tmp)]="LN"

seurat_integrated$sample_name_v3=tmp


p1 <- DimPlot(seurat_integrated, reduction = "umap", group.by = "sample_name_v3") +
  theme(legend.position = "right", aspect.ratio = plot_aspect_ratio) +
  guides(color = guide_legend(ncol = 1, override.aes = list(size = 4), title = "sample_type"))+ labs(title="sample_type")

ggsave(filename = "fig7A_Tcells_umap_sample_type.png",
       width = (28+4*0.3), height = 22, dpi = 300, units = "cm")


p2 <- DimPlot(seurat_integrated, reduction = "umap", group.by = "celltype_final", cols = ct.color[id.final.ct]) +
  theme(aspect.ratio = plot_aspect_ratio) +
  guides(color = guide_legend(title = "celltype_final", override.aes = list(size = 3)))
ggsave(filename = "fig7A_Tcells_umap_celltypes.png",
       width = 34, height = 20, dpi = 300, units = "cm")
print("Written plot 2")
###
p4 <- DimPlot(seurat_integrated, reduction = "umap", group.by = "seurat_clusters", cols = colstypes) +
  theme(aspect.ratio = plot_aspect_ratio) +
  guides(color = guide_legend(title = "seurat_clusters", override.aes = list(size = 3)))
p4
ggsave(filename = "fig7A_Tcells_umapp_clusters.png",
       width = 30, height = 20, dpi = 300, units = "cm")
print("Written plot 4")


