seurat_integrated=readRDS("solid.integrated_seurat_object_customGenes_minDist_mt035.RDS")
seurat_subset = subset(seurat_integrated, subset=celltype_final %in% c("Melanocytes", "Melanoma.melanocytic", "Melanoma.mesenchymal"))
tmp=as.character(seurat_subset$celltype_final)
seurat_subset$celltype_final_subset = tmp

id.final.ct=c("red2","red4","firebrick4")
names(id.final.ct)=c("Melanocytes","Melanoma.melanocytic","Melanoma.mesenchymal")

tmp=as.character(seurat_subset$sample_name)
tmp[which(tmp=="M170929")]="PM1"
tmp[which(tmp=="M180223")]="PM2"
tmp[which(tmp=="M181024")]="PM3"
seurat_subset$sample_name_v2 = tmp


p3=DimPlot(seurat_subset, reduction = 'wnn.umap', label = FALSE,group.by = "celltype_final_subset",cols = id.final.ct,  repel = TRUE, label.size = 2.5) +
  theme(aspect.ratio = plot_aspect_ratio) +
  guides(color = guide_legend(title = "celltype_final", override.aes = list(size = 3))) + labs(title="celltype_final")

ggsave(filename="fig8A_v2_UMAP_celltype.png",  width = 34, height = 20, dpi = 300, units = "cm", bg="white")

p1 <- DimPlot(seurat_subset, reduction = 'wnn.umap', , group.by = "sample_name_v2", repel = TRUE) +
  theme(aspect.ratio = plot_aspect_ratio) +
  guides(color = guide_legend(title="sample_name", override.aes = list(size =3))) +  labs(title="sample_name")
ggsave(filename = "fig8A_v2_UMAP_samples.png",
       width = (28+number_samples*0.3), height = 22, dpi = 300, units = "cm")
p4 <- DimPlot(seurat_subset, reduction = "wnn.umap", group.by = "seurat_clusters", cols = colstypes, label = TRUE) +
  theme(aspect.ratio = plot_aspect_ratio) +
  guides(color = guide_legend(title = "seurat_clusters", override.aes = list(size = 3)))
ggsave(filename = "fig8A_v2_UMAP_clusters.png",
       width = 30, height = 20, dpi = 300, units = "cm")

